# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add standard imaging capability

Revision ID: 78cb60242d23
Revises: 46dbb53ae77f
Create Date: 2021-06-28 13:04:33.828113

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "78cb60242d23"
down_revision = "46dbb53ae77f"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        INSERT INTO capabilities (capability_name, capability_steps, max_jobs)
        VALUES ('std_imaging', 'prepare-and-run-workflow std_imaging\nawait-workflow\nawait-qa', 20)
        """
    )

    op.execute(
        """
        INSERT INTO workflows (workflow_name)
        VALUES ('std_imaging')
        """
    )


def downgrade():
    op.execute(
        """
        DELETE FROM capabilities WHERE capability_name='std_imaging'
        """
    )

    op.execute(
        """
        DELETE FROM workflows WHERE workflow_name='std_imaging'
        """
    )
