"""add custom text option to std_calibration_complete template

Revision ID: 8ccdd4674889
Revises: 28b6a6bfb73c
Create Date: 2023-08-24 10:05:59.908998

"""
from pathlib import Path

import sqlalchemy as sa
from alembic import op

template_name = "std_calibration_complete"
old_content = (Path.cwd() / "versions" / "templates" / "emails" / "std_calibration_complete_old.txt").read_text()
new_content = (Path.cwd() / "versions" / "templates" / "emails" / "std_calibration_complete_new.txt").read_text()

# revision identifiers, used by Alembic.
revision = "8ccdd4674889"
down_revision = "28b6a6bfb73c"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template=E'{new_content}'
        WHERE name=E'{template_name}'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template=E'{old_content}'
        WHERE name=E'{template_name}'
        """
    )
